質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.11%

新しいAndroidSDK(r22.6.3)でのEclipse開発について

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,628

score 30

PCを新しくしたので開発環境を入れようと思って新たにEclipse及びAndroidSDKを導入しました。
しかし、これまで作成していた新規Androidプロジェクトにはなかったフラグメントのファイルや自分では作成していないappcompat_v7というプロジェクトが新規作成されます。いったい何が起きているんでしょうか。
  • Ecliipseは4.3Kepler
  • AndroidSDKは22.6.3
  • OSはWindows7
です。
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

Android SDKのバージョンがr22.6以降は仕様変更により新規プロジェクト作成時の動作が異なるようです。また最新バージョンである限りappcompat_v7はプロジェクトを作成するたびに増えていきますので、AndroidSDKのバージョンを以前安定していた22.3に戻すことをお勧めします。
以下に方法を記します。

AndroidSDKのバージョンとADTプラグインの両方を22.6から22.3へと戻さなくてはなりません。
そのために、ひとつずつ削除をしてから22.3をインストールするという方法が必要となります。

まず、Android Developersのダウンロードサイトを開いてください。
URL→http://developer.android.com/sdk/index.html
ページの下のほうにあるDOWNLOAD FOR OTHER PLATFORMSをクリックして
環境にあわせたSDK Tools OnlyのZipを右クリックしてURL(リンクアドレス)をコピーします
コピーしたURLをアドレスバーに貼り付けてr22.6となっている部分をr22.3へと書き換えます。

略-sdk_r22.6.2-windows.zip

略-sdk_r22.3-windows.zip

書き換えたことで過去のバージョンのzipファイルをダウンロードすることが出来ます。


ダウンロードしてきた過去バージョンのファイルを現在インストールされている最新のファイルと交換しなければなりません。
現在インストールしているSDKフォルダを開いてください。
WindowsならSDKManagerなど.exeファイルの格納されているフォルダです。
現在インストールされているSDKフォルダ内のToolsフォルダを削除して
先ほどダウンロードしたフォルダ内のToolsフォルダをコピーして格納しましょう。
これでSDKのバージョンダウンは完了いたしました。


AndroidSDKとADTプラグインのバージョンにズレがあるとEclipseのAndroidプロジェクトの製作環境が正常に動作しません。その為、次はADTプラグインのバージョンダウンをします。
ADTプラグインの配布サイトを開いてください。
URL→http://developer.android.com/sdk/installing/installing-adt.html
ページの下のほうにTroubleshooting ADT Instrallationという項目があり、
その下にADTプラグインのダウンロードのリンクがあります。
これも先ほどのAndroidSDKのURLを改変したときの同じように、
右クリックでアドレスをコピーし[r22.6.2]を[r22.3]へと変更しファイルをダウンロードする。


次にEclipseを起動してメニューのウィンドウタブ内の設定をクリックして設定画面を開きます。
左のリストの中からインストール/更新を選択してアンインストールまたは更新をクリックします。
表示されたリストの中でバージョンの項目が22.6から始まっているものを全て選択肢アンインストールします。アンインストール後Eclipseを再起動してください。


再起動したら先ほどダウンロードした旧バージョンのADTプラグインをEclipseへ適応させます。
Eclipseのヘルプタブから新規ソフトウェアのインストールを選択します。
表示された画面で追加ボタンをクリックしてリポジトリーの追加ダイアログにてアーカイブのボタンをクリックします。
そこでさきほどダウンロードしたZipファイルを選択しましょう。
使用可能なソフトウェアとして22.3のプラグインが表示されるので開発ツールにチェックをつけてインストールを行います。
インストール中にセキュリティ警告が表示されますが気にせずOKを押してください。


インストール後再起動すると以前と変わらないEclipse環境に戻っているはずです!

以上、長くなってしまいましたが参考になりましたでしょうか。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.11%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る